.\"Generated by db2man.xsl. Don't modify this, modify the source.
.de Sh \" Subsection
.br
.if t .Sp
.ne 5
.PP
\fB\\$1\fR
.PP
..
.de Sp \" Vertical space (when we can't use .PP)
.if t .sp .5v
.if n .sp
..
.de Ip \" List item
.br
.ie \\n(.$>=3 .ne \\$3
.el .ne 3
.IP "\\$1" \\$2
..
.TH "XOSD_IS_ONSCREEN" 3xosd "" "" ""
.SH NAME
xosd_is_onscreen \- Returns wether the XOSD window is shown
.SH "SYNOPSIS"
.ad l
.hy 0

#include <xosd.h>
.sp
.HP 24
xosd\ *\fBxosd_is_onscreen\fR\ (xosd\ \fI*osd\fR);
.ad
.hy

.SH "DESCRIPTION"

.PP
\fBosd_is_onscreen\fR determines weather a XOSD window, is currently being shown (is mapped to the X display). Because XOSD displays data asynchronously (see \fBxosd_display\fR(3xosd) for details) it can be difficult to know if data is being displayed, \fBxosd_is_onscreen\fR solves this problem.

.PP
Call \fBxosd_show\fR(3xosd) or \fBxosd_hide\fR(3xosd) to alter the visibility of the XOSD window.

.SH "ARGUMENTS"

.TP
\fIosd\fR
The XOSD window to query.

.SH "RETURN VALUE"

.PP
A 1 is returned if the window is onscreen (mapped), or 0 if it is hidden (unmapped). On error, -1 is returned and \fIxosd_error\fR is set to indicate the reason for the error.

.SH "ENVIRONMENT"

.TP
\fIchar *xosd_error\fR
A string to a text string describing the error, if one occurred.

.SH "HISTORY"

.PP
The \fBxosd_is_onscreen\fR function first appeared in version 2.1 of the XOSD library.

.SH "AUTHORS"

.PP
The XOSD library was originally written by Andr Renaud and was maintained by Tim Wright, who also wrote the \fBxosd_is_onscreen\fR function. Michael JasonSmith thinks he wrote this document, but is not sure; drop Micahel an email (<mike@ldots.org>) if you think he didn't write this document.

.SH "BUGS"

.PP
There are no known bugs with \fBxosd_is_onscreen\fR.
Bug reports can be files on http://sourceforge.net/projects/libxosd/.

.SH "SEE ALSO"

.PP
 \fBxosd_display\fR(3xosd), \fBxosd_show\fR(3xosd), \fBxosd_hide\fR(3xosd)

